## org.apache.cassandra.concurrent
Class Context

    java.lang.Object
      org.apache.cassandra.concurrent.Context

    public class Context

extends java.lang.Object

Context object adding a collection of key/value pairs into ThreadLocalContext.

Constructor Summary
`Context()`

Method Summary
`java.lang.Object` `get(java.lang.Object key)`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `remove(java.lang.Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Context

    public Context()

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

### get

    public java.lang.Object get(java.lang.Object key)

### remove

    public void remove(java.lang.Object key)

Copyright © 2010 The Apache Software Foundation